---
title: Color vision simulation
slug: Tools/Accessibility_inspector/Simulation
tags:
  - Accessibility
  - Accessibility inspector
  - Color blindness
  - DevTools
  - Guide
  - Simulation
  - Tools
---
<div>{{toolssidebar}}</div>

<p><span class="seoSummary">The simulator in the <a href="/en-US/docs/Tools/Accessibility_inspector">Accessibility Inspector</a> in Firefox Developer Tools lets you see what a web page would look like to users with various forms of <em>color vision deficiency</em> (better known as "color blindness"), as well as <em>contrast sensitivity loss</em>.</span></p>

<p>"Color blindness" is a bit of a misnomer, since most people with these disorders can see colors, but do not see all of the distinctions that people with normal color vision can see; color vision deficiencies affect perception across the color spectrum, not only of specific colors like red or green. Color vision deficiencies affect about 8% of men, and 0.5% of women. The most common forms of color blindness (commonly lumped together as "red-green color blindness") affect more men than women, because they are due to a mutation in a gene in the X chromosome, which men usually have only one copy of.</p>

<p>Contrast sensitivity loss can be caused by cataracts, glaucoma, diabetic retinopathy, and other disorders of the retina; it can be age-related, congenital, or due to an injury.</p>

<div class="notecard note">
<p>This feature depends on webrender, an experimental feature that is not enabled by default on all platforms. You can force-enable webrender by setting the preference <code>gfx.webrender.all</code> to <code>true</code> using the <a href="https://support.mozilla.org/en-US/kb/about-config-editor-firefox">Firefox Configuration Editor</a> (note that if webrender is enabled by default on your platform, the setting has no effect.</p>
</div>

<p>The current color simulation option may be selected from the <strong>Simulate</strong> menu as shown.<br>
 <img alt="Simulate menu in Accessibility panel. Used for selecting the simulation mode: None, Protanopia (no red), Deuteranopia (no green), Tritanopia (no blue), Achromatopsia (no color), Contrast loss" src="https://mdn.mozillademos.org/files/17415/accessibily_color_simulation_menu.jpg" style="height: 295px; width: 458px;"></p>

<p>The following table shows a colorful image of a cat's face, and what it looks like in the each of the simulations.</p>

<table>
 <thead>
  <tr>
   <th scope="col">Simulation</th>
   <th scope="col">Image displayed</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>None<br>
    (Choose this to return to normal display)</td>
   <td><img alt="Colorful image of a cat's face, without modification" src="https://mdn.mozillademos.org/files/16876/28369550088_617db0d6f2_m.jpg" style="height: 240px; width: 240px;"></td>
  </tr>
  <tr>
   <td>Protanopia (no red)</td>
   <td><img alt="Colorful image of a cat's face, with protanopia simulation" src="https://mdn.mozillademos.org/files/16880/colorcat_protanopia.png" style="height: 250px; width: 250px;"></td>
  </tr>
  <tr>
   <td>Deuteranopia (no green)</td>
   <td><img alt="Colorful image of a cat's face, with deuteranopia simulation" src="https://mdn.mozillademos.org/files/17416/colorcat_deuteranopia.png" style="height: 241px; width: 242px;"></td>
  </tr>
  <tr>
   <td>Tritanopia (no blue)</td>
   <td><img alt="Colorful image of a cat's face, with tritanopia simulation" src="https://mdn.mozillademos.org/files/16882/colorcat_tritanopia.png" style="height: 250px; width: 250px;"></td>
  </tr>
  <tr>
   <td>Achromatopsia (no color)</td>
   <td><img alt="Colorful image of a cat's face, with achromatopsia simulation" src="https://mdn.mozillademos.org/files/17414/colorcat_achromatopsia.png" style="height: 240px; width: 241px;"></td>
  </tr>
  <tr>
   <td>Contrast loss</td>
   <td>
    <p><img alt="Colorful image of a cat's face, with contrast loss simulation" src="https://mdn.mozillademos.org/files/16883/colorcat_contrastloss.png" style="height: 250px; width: 250px;"></p>
   </td>
  </tr>
 </tbody>
</table>

<div class="notecard note">
<p>The simulation transformation matrices are based on the paper: <a href="https://www.inf.ufrgs.br/~oliveira/pubs_files/CVD_Simulation/CVD_Simulation.html">A Physiologically-based Model for Simulation of Color Vision Deficiency</a>, Gustavo M. Machado, Manuel M. Oliveira Leandro A. F. Fernandes, IEEE Transactions on Visualization and Computer Graphics, Volume 15 (2009).</p>
</div>

<div class="notecard note">
<p>Firefox 81 removed unnecessary simulations for <em>protanomaly</em>, <em>deuteranomaly</em>, and <em>tritanomaly</em>, and added a simulation for <em>achromatopsia</em> (no color).</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://www.color-blindness.com/types-of-color-blindness/">Types of color blindness</a></li>
 <li><a href="https://www.color-blindness.com/coblis-color-blindness-simulator/">Color blindness simulator</a></li>
 <li><a href="http://www.vision-and-eye-health.com/contrast-sensitivity.html">Contrast sensitivity</a></li>
 <li><a href="http://mkweb.bcgsc.ca/colorblind/">Color palettes for color blindness</a></li>
 <li><a href="https://jfly.uni-koeln.de/color/">Color universal design</a></li>
 <li><a href="https://www.w3.org/TR/WCAG21/#use-of-color">WCAG success criterion 1.4.1: Use of color</a></li>
 <li><a href="https://www.w3.org/TR/WCAG21/#non-text-contrast">WCAG success criterion 1.4.11: Non-text contrast</a></li>
</ul>
